SUBDIRS := $(subst Makefile,,$(wildcard */Makefile))

.PHONY: all dist dist-clean $(SUBDIRS)

all: dist $(SUBDIRS)

dist: dist.png dist.pdf
	#

.PHONY: dist.png
dist.png: \
	rit_schematic_base.png \
	rit_schematic_true.png \
	rit_schematic_close.png \
	rit_schematic_far.png \
	#

.PHONY: dist.pdf
dist.pdf: \
	rit_schematic_base.pdf \
	rit_schematic_true.pdf \
	rit_schematic_close.pdf \
	rit_schematic_far.pdf \
	#

$(SUBDIRS):
	@$(MAKE) -C $@

dist-clean:
	rm -v rit_schematic_*

rit_schematic_base.%: src/rit_scheme.py
	$< 'base' $@

rit_schematic_true.%: src/rit_scheme.py
	$< 'true' $@

rit_schematic_close.%: src/rit_scheme.py
	$< 'closeby' $@

rit_schematic_far.%: src/rit_scheme.py
	$< 'far-away' $@
